Subject: Re: bug#28610: tcsh 6.20.00 testsuite: 68 failed

From: Drashne <[email-masked]>
Date: Thu, 28 Sep 2017 22:27:18 -0400

Hello Ludo',

Thank you for looking in to this.

The 'testsuite.log' file you requested is attached.

I noticed that in the "Detailed failed tests" section, it has:

  68. commands.at:893: testing nice ...
  ./commands.at:896: tcsh -f -c 'nice set var=1; echo $?var'
  --- /dev/null 2017-09-22 17:50:11.102758003 +0000
  +++ /tmp/guix-build-tcsh-6.20.00.drv-0/tcsh-6.20.00/testsuite.dir/at-groups/68/stderr 2017-09-29 01:59:18.591958887 +0000
  @@ -0,0 +1 @@
  +setpriority: Permission denied.
  68. commands.at:893: 68. nice (commands.at:893): FAILED (commands.at:896)

So at first glance the failure appears to be caused by "setpriority: Permission denied"

I'm not sure why there'd be a permissions problem.  I have the guix-daemon running as root, with the following arguments:

  /root/.guix-profile/bin/guix-daemon --build-users-group=guixbuild --no-substitutes

I thought maybe it's the guixbuilder user that's having permissions problems, so I tried running the failing test myself as the guixbuilder01 user:

  > sudo -u guixbuilder01 /gnu/store/nrrwyb21bn8cdc0k6pis3ggs2vayibin-bash-4.4.12/bin/bash
  bash-4.4$ cd /var/tmp/guix/guix-build-tcsh-6.20.00.drv-0/tcsh-6.20.00
  bash-4.4$ . ../environment-variables
  bash-4.4$ ./tcsh -f -c 'nice set var=1; echo $?var'
  0

So the test appears to work when I run it manually, but fails when it's run as part of the build process under guix-daemon.

Also, please note that /var/tmp/guix is my guix build directory, which I've set for guix-daemon via the TMPDIR environment variable.  I have a zram filesystem mounted on /var/tmp/guix as ext4, but I've tried the same "guix package -i glibc-locales" without the zramfs, on my root xfs filesystem and it didn't make any difference.

> -------- Original Message --------
> Subject: Re: bug#28610: tcsh 6.20.00 testsuite: 68 failed
> Local Time: September 28, 2017 7:17 AM
> UTC Time: September 28, 2017 2:17 PM
> From: [email-masked]
> To: Drashne <[email-masked]>
> [email-masked]
>
> Hello,
>
> Drashne <[email-masked]> skribis:
>
>> After installing guix-binary-0.13.0.x86_64-linux.tar.xz (on Gentoo amd64 kernel 4.12.12-gentoo) and running "guix package -i glibc-locales", installation of tcsh-6.20.00 failed because of a failed test: "68: nice FAILED (commands.at:896)"
>>
>> A log of the compile is attached to this email.
>> % guix package -i glibc-locales --no-substitutes
>
> You could run this command with an additional “--keep-failed” flag, and
> then, retrieve and post the ‘testsuite.log’ file from
> /tmp/guix-build-tcsh-6.20.00.drv-0?
>
> That should allow us to see more precisely why this test is failing.
>
> Thanks for your report,
> Ludo’.